package com.starbuds.server.service.core.impl;

import com.github.wujun234.uid.UidGenerator;
import com.starbuds.server.common.service.core.IdentityService;
import lombok.extern.log4j.Log4j;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/11/27
 */
@Service(version = "1.0.0")
@Slf4j
public class IdentityServiceImpl implements IdentityService {
    @Resource
    private UidGenerator defaultUidGenerator;

    /**
     * 获取一个 id
     *
     * @return
     */
    @Override
    public Long getId() {
        return defaultUidGenerator.getUID();
    }

    /**
     * 获取多个 id
     *
     * @param num
     * @return
     */
    @Override
    public Long[] getIds(int num) {
        Long[] ids = new Long[num];
        for (int i = 0; i < num; i++) {
            ids[i] = getId();
        }
        return ids;
    }
}
