package com.starbuds.server.service.core.rocket;

import com.aliyun.openservices.ons.api.PropertyKeyConst;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

/**
 * Class
 *
 * @author Lay
 * @date 2019/05/30
 */
@Configuration
public class RocketConfig {
    @Value("${aliyun.accessKey}")
    String accessKey;

    @Value("${aliyun.accessSecret}")
    String accessSecret;

    @Value("${aliyun.rocket.namesrv}")
    String rocketNamesrv;

    @Value("${aliyun.rocket.groupId}")
    String rocketGroupId;

    public Properties getProps() {
        Properties properties = new Properties();
        properties.put(PropertyKeyConst.AccessKey, accessKey);
        properties.put(PropertyKeyConst.SecretKey, accessSecret);
        properties.put(PropertyKeyConst.NAMESRV_ADDR, rocketNamesrv);
        properties.put(PropertyKeyConst.GROUP_ID, rocketGroupId);

        return properties;
    }
}
